Skip to content

getTrackedEntities

READ

Get tracked entities.

POST /api/v1/inventory/getTrackedEntities
curl -X POST '<your-host>/api/v1/inventory/getTrackedEntities' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "attributes": "…",
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "expirationDate": "string",
      "id": "string",
      "itemId": "string",
      "quantity": 0,
      "readableId": "string",
      "sourceDocument": "string",
      "sourceDocumentId": "string",
      "sourceDocumentReadableId": "string",
      "status": "Rejected",
      "updatedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    }
  }
}